Package org.h2gis.functions.spatial.crs

## Class ST_Transform.CRSTransformFilter

- java.lang.Object
- - org.h2gis.functions.spatial.crs.ST_Transform.CRSTransformFilter

All Implemented Interfaces:
  `org.locationtech.jts.geom.CoordinateFilter`

Enclosing class:
  ST_Transform

    public static class ST_Transform.CRSTransformFilter
    extends Object
    implements org.locationtech.jts.geom.CoordinateFilter

This method is used to apply a `CoordinateOperation` to a geometry. The transformation loops on each coordinate.

### Constructor Summary

Constructors
`CRSTransformFilter​(org.cts.op.CoordinateOperation coordinateOperation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `filter​(org.locationtech.jts.geom.Coordinate coord)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CRSTransformFilter

    public CRSTransformFilter​(org.cts.op.CoordinateOperation coordinateOperation)

### Method Detail

#### filter

    public void filter​(org.locationtech.jts.geom.Coordinate coord)

Specified by:
  `filter` in interface `org.locationtech.jts.geom.CoordinateFilter`